import request from "@/utils/request";
import { TypeVersionDTO } from "@/types/DTO/appVersionDTO";

export const getList = (query: Record<string, any>) => {
  return request<RespondPageType<TypeVersionDTO>>({
    url: "/appconf/version/list",
    method: "get",
    params: query,
  });
};
export const getInfo = (data: number) => {
  return request<RespondDataType<TypeVersionDTO>>({
    url: "/appconf/version/" + data,
    method: "get",
  });
};

export const saveData = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/appconf/version/add",
    method: "post",
    data: data,
  });
};

export const updateData = (data: Record<string, any>) => {
  return request<RespondDataType>({
    url: "/appconf/version/upd",
    method: "post",
    data: data,
  });
};

export const deleteData = (data: number | number[]) => {
  return request<RespondDataType>({
    url: "/appconf/version/" + data,
    method: "delete",
  });
};
